Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.arrayutil
Class TemporalWindowArray

    java.lang.Object
      org.encog.util.arrayutil.TemporalWindowArray

    public class TemporalWindowArray

extends Object

Produce a time-series from an array.

Constructor Summary
`TemporalWindowArray(int theInputWindow, int thePredictWindow)` Construct a time-series from an array.

Method Summary
`void` | `analyze(double[] array)` Analyze the 1D array.
`void` | `analyze(double[][] array)` Analyze the 2D array.
`int` | `countInputFields()` Count the number of input fields, or fields used to predict.
`int` | `countPredictFields()` Count the number of fields that are that are in the prediction.
`TemporalWindowField[]` | `getFields()`
`int` | `getInputWindow()`
`int` | `getPredictWindow()`
`MLDataSet` | `process(double[] data)` Process the array.
`MLDataSet` | `process(double[][] data)` Processes the specified data array in an IMLDataset.
`MLDataPair` | `processToPair(double[] data)` Process the data array and returns an MLdatapair.
`void` | `setInputWindow(int theInputWindow)`
`void` | `setPredictWindow(int thePredictWindow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemporalWindowArray

    public TemporalWindowArray(int theInputWindow,
                               int thePredictWindow)

  Construct a time-series from an array.

  Parameters:
    `theInputWindow` - The size of the input window.
    `thePredictWindow` - The size of the predict window.

Method Detail

### analyze

    public final void analyze(double[] array)

  Analyze the 1D array.

  Parameters:
    `array` - The array to analyze.

### analyze

    public final void analyze(double[][] array)

  Analyze the 2D array.

  Parameters:
    `array` - The 2D array to analyze.

### countInputFields

    public final int countInputFields()

  Count the number of input fields, or fields used to predict.

  Returns:
    The number of input fields.

### countPredictFields

    public final int countPredictFields()

  Count the number of fields that are that are in the prediction.

  Returns:
    The number of fields predicted.

### getFields

    public final TemporalWindowField[] getFields()

  Returns:
    The fields that are to be processed.

### getInputWindow

    public final int getInputWindow()

  Returns:
    the inputWindow

### getPredictWindow

    public final int getPredictWindow()

  Returns:
    the predictWindow

### process

    public final MLDataSet process(double[] data)

  Process the array.

  Parameters:
    `data` - The array to process.
  Returns:
    A neural data set that contains the time-series.

### setInputWindow

    public final void setInputWindow(int theInputWindow)

  Parameters:
    `theInputWindow` - the inputWindow to set

### setPredictWindow

    public final void setPredictWindow(int thePredictWindow)

  Parameters:
    `thePredictWindow` - the predictWindow to set

### process

    public MLDataSet process(double[][] data)

  Processes the specified data array in an IMLDataset. You can send a [][] array directly with this method.

  Parameters:
    `data` - The data.
  Returns:
    The data set.

### processToPair

    public MLDataPair processToPair(double[] data)

  Process the data array and returns an MLdatapair.

  Parameters:
    `data` - The array to process.
  Returns:
    MLDatapair containing data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.